Bug 11546 - mod_ssl configures by default an example private key
: mod_ssl configures by default an example private key
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mod_ssl)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 14167 14288
  Show dependency tree
 
Reported: 2007-04-18 02:17 by
Modified: 2008-04-19 13:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-18 02:17:47
/etc/httpd/conf/ssl/server.crt
/etc/httpd/conf/ssl/server.key

Consider using cert-sh-functions package to generate the key at runtime.
------- Comment #1 From 2007-04-29 21:40:12 -------
Повышаю severity, поскольку неоднократно встречал этот ключ используемым на
сайтах, сделанных при помощи нашего mod_ssl.
------- Comment #2 From 2007-04-30 03:33:11 -------
Дим, если для 4.0 -- по возможности помоги(те) перекопать пакет.  Я mod_ssl не
использую, хотя и держу свежим.
------- Comment #3 From 2008-01-26 02:09:22 -------
Помогите Мише, пожалуйста.
------- Comment #4 From 2008-01-28 08:55:59 -------
Попробую сделать, благо cert-sh-functions применяю.
------- Comment #5 From 2008-01-29 16:05:10 -------
См. http://git.altlinux.org/people/vvk/packages/mod_ssl.git
------- Comment #6 From 2008-01-29 16:05:31 -------
reassign
------- Comment #7 From 2008-01-29 16:10:10 -------
Спасибо!  А если им пользуешься -- мож и заберёшь, действительно? (я просто
года
четыре как не)
------- Comment #8 From 2008-01-29 16:24:18 -------
Я могу поддерживать пакет в рамках обеспечения общей работоспособности и
security updates, если это тебя устраивает то перевешивай. А вообще я им
пользуюсь, да.
------- Comment #9 From 2008-01-29 17:53:51 -------
Именно; делаю тогда add/leader.

Спасибо!
------- Comment #10 From 2008-01-30 00:00:41 -------
fixed in 2.8.30a-alt1

(не втягивал git, поскольку там ещё пришлось в тарболе ковыряться и сегодня уже
поздновато для посиделок -- сделал, как получалось :)

Тарболы mod_ssl-2.8.30a и EAPI-2.8.30a, поправленные для сборки с apache-1.3.41
вместо 1.3.39, доступны здесь: http://fly.osdn.org.ua/~mike/works/apache/
------- Comment #11 From 2008-02-04 22:59:50 -------
...просьба проверить по возможности :)  add сделал.
------- Comment #12 From 2008-04-19 13:38:34 -------
(In reply to comment #4)
> Попробую сделать, благо cert-sh-functions применяю.
Пока заметил -- мож и на monit посмотришь по этой части?  Я тут как раз
5.0-beta1 залил (и приделал поддержку к apache, сейчас ещё mod_ssl ковырну).